groovy.util

## Class ObservableSet.ElementClearedEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableSet.ElementEvent
      - - groovy.util.ObservableSet.ElementClearedEvent

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ObservableSet<E>

    public static class ObservableSet.ElementClearedEvent
    extends ObservableSet.ElementEvent

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ElementClearedEvent(java.lang.Object source, java.util.List values)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List` `getValues()`

### Methods inherited from class groovy.util.ObservableSet.ElementEvent

`getChangeType, getType, getTypeAsString`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ElementClearedEvent

    public ElementClearedEvent(java.lang.Object source,
                               java.util.List values)

### Method Detail

#### getValues

    public java.util.List getValues()